<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Base Plugins 1.0 Plugins Reference Manual: ogg</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Base Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch02.html" title="gst-plugins-base Plugins">
<link rel="prev" href="gst-plugins-base-plugins-plugin-libvisual.html" title="libvisual">
<link rel="next" href="gst-plugins-base-plugins-plugin-pango.html" title="pango">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-base-plugins-plugin-libvisual.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-base-plugins-plugin-pango.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-base-plugins-plugin-ogg"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle">ogg</span></h2>
<p>ogg — <a name="plugin-ogg"></a>ogg stream manipulation (info about ogg: http://xiph.org)</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="id-1.3.14.3"></a><h2>Plugin Information</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">filename</span></p></td>
<td>libgstogg.so</td>
</tr>
<tr>
<td><p><span class="term">version</span></p></td>
<td>1.4.0</td>
</tr>
<tr>
<td><p><span class="term">run-time license</span></p></td>
<td>LGPL</td>
</tr>
<tr>
<td><p><span class="term">package</span></p></td>
<td>GStreamer Base Plug-ins source release</td>
</tr>
<tr>
<td><p><span class="term">origin</span></p></td>
<td>Unknown package origin</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="id-1.3.14.4"></a><h2>Elements</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">oggaviparse</span></p></td>
<td>parse an ogg avi stream into pages (info about ogg: http://xiph.org)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-oggdemux.html" title="oggdemux">oggdemux</a></span></p></td>
<td>demux ogg streams (info about ogg: http://xiph.org)</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-base-plugins-oggmux.html" title="oggmux">oggmux</a></span></p></td>
<td>mux ogg streams (info about ogg: http://xiph.org)</td>
</tr>
<tr>
<td><p><span class="term">oggparse</span></p></td>
<td>parse ogg streams into pages (info about ogg: http://xiph.org)</td>
</tr>
<tr>
<td><p><span class="term">ogmaudioparse</span></p></td>
<td>parse an OGM audio header and stream</td>
</tr>
<tr>
<td><p><span class="term">ogmtextparse</span></p></td>
<td>parse an OGM text header and stream</td>
</tr>
<tr>
<td><p><span class="term">ogmvideoparse</span></p></td>
<td>parse an OGM video header and stream</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>